Subject: RE: [Ipoverib] small change in the connected mode draft

From: "Dror Goldenberg" <[email-masked]>
Date: Thu, 23 Mar 2006 08:58:01 +0200

I think that this is reasonable amendment. Being practical, I don't
think that IPoIB-CM will be widely used over WANs or long latency
fabrics. To me it looks something very data center oriented, something
like Jumbo frames in Ethernet. 
  
Other than that, IB is mostly a lossless fabric, so I wouldn't expect to
see that many of retransmissions in RC anyway.
  
Dror 

> -----Original Message-----
> From: H.K. Jerry Chu [mailto:[email-masked]] 
> Sent: Wednesday, March 22, 2006 2:05 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Ipoverib] small change in the connected mode draft
> 
> 
> Hi folks,
> 
> Allison Mankin, the transport area AD who brought up some 
> concern during IESG review of the connected draft regarding 
> simultaneous retransmissions at different layers, has 
> suggested and Vivek agreed to the following change to section 
> 7.1 "A Cautionary Note on IPoIB-RC".
> 
> The revised section reads like this:
> 
> 	The RC mode of InfiniBand guarantees in-order delivery of
> 	packets. Every message transmitted over the RC connection is
> 	broken into physical MTU sized packets by the RC connection. If
> 	any packet is lost, it is retransmitted until the complete
> 	message is exchanged. Therefore, there is a possibility of an
> 	upper transport layer experiencing a timeout, while the RC layer
> 	is still in the process of transferring the complete message.
> 	TCP will view the timeout as an indicator of congestion and
> 	enter slow-start thereby affecting throughput drastically
> 	[RFC2581]. Other upper layer protocols might insert
> 	retransmissions into the fabric adding to the already existing
> 	congestion.
> 
> 	The applicability of Infiniband reliability is on a fabric
> 	with short latencies (not wide area).  Therefore, the RC timer
> 	values should be short compared with the starting minimum
> 	time values used by the upper end-to-end transports.  In
> 	addition, because the RC mode does not have measurement
> 	based reliable transmission, its use over fabrics with long
> 	latency or very dynamic latency may be a concern for congestion-
> 	aware traffic traversing those fabrics.
> 
> If you have any comment/issue on the proposed change please 
> post them to the list before COB this Friday (3/24/06). I'd 
> like to move the draft past IESG review so we can wrap up the WG asap.
> 
> BTW, please be informed that my email address will change 
> after this Friday. My new address is [email-masked].
> 
> Thanks,
> 
> Jerry
> 
> IPoIB co-chair
> Sr. Staff Engineer
> Solaris Core Networking
> Sun Microsystems, Inc.
> U.S.A
> (650) 786-514
> 
> 
> 
> _______________________________________________
> IPoverIB mailing list
> [email-masked] https://www1.ietf.org/mailman/listinfo/ipoverib
> 
> 
> 

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib